:root,
:root:not([data-theme="light"]) {
  --contrast: #292f33;
  --contrast-inverse: white;
  --contrast-hover: #444e55;
  --progress-color: #d9961a;
  --background-color: #1a1f22;
  --font-weight: 400;
  --spacing: 0.25rem;
  --accordion-border-color: transparent;
  --h2-color: var(--primary);
  --h4-color: var(--primary);
  --h5-color: var(--primary);
  --dropdown-color: var(--primary);
  --icon-max-width: 30px;
  --form-element-spacing-vertical: 0.25rem;
  --form-element-background-color: #2a2f33;
  --outline-width: 0;
  --form-element-border-color: transparent;
  --nav-link-spacing-vertical: 0.4rem;
  --table-border-color: #5c5b5b;

  --icon-chevron: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgba(162, 175, 185, 0.999)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
}

.page-header {
  background: black;
}

.page-content {
  flex-grow: 1;
  display: block;
  padding: 0;
}

.home {
  padding-top: 2rem;
  min-height: 700px;
  background-position: top;
  background-image: url("/resource/bg.webp");
}

.state-of-art {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  max-width: 44rem;
}

.state-of-art h3 {
  font-size: 2.2rem;
  color: var(--primary);
}

.state-of-art p {
  font-size: 1.3rem;
}

.hero {margin-bottom: 5rem;}

[data-tooltip]::before {
  width: 300px;
  white-space: normal !important;
}

mark {padding: 0;}

span.line {display: inline-block;}

hr {border-color: #5b5b5b;}

[role="button"],
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
  font-size: 0.8rem;
}

input {
  font-size: 0.8rem;
}

details summary::after {
  background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2224%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%3Cpath%20transform%3D%22rotate%28-180%2011.9902%2012.852%29%22%20stroke%3D%22null%22%20id%3D%22svg_1%22%20d%3D%22m6.35293%2C16.66043l5.63726%2C-7.6169l5.63726%2C7.6169l-11.27452%2C0z%22%20fill%3D%22%239f9799%22%2F%3E%0A%0A%0A%3C%2Fsvg%3E"); }

.text-primary {
  color: var(--primary); }

.text-orange, .carbon-fact-pane .title {
  color: #ff5900; }

.text-contrast {
  color: var(--muted-color); }

.text-white {
  color: var(--white); }

.text-small {
  font-size: 0.7rem; }

.text-extra-small {
  font-size: 0.5rem; }

.text-light-gray {
  color: #949799; }

.text-nowrap {
  white-space: nowrap; }

.text-bold {
  font-weight: 900; }

.text-capitalize {
  text-transform: capitalize; }

.hidden {
  visibility: hidden; }

h1,
h2,
h3,
h4,
h5,
h6 {
  --font-weight: 500; }

.flex {display: flex;}

.flex-grow-1 {flex-grow: 1;}

.flex-grow-2 {flex-grow: 2;}

.flex-wrap {flex-wrap: wrap;}

.flex-basis-24 {flex-basis: 24rem;}

.flex-basis-15 {flex-basis: 15rem;}

.flex-column {flex-direction: column !important;}

.align-items-center {align-items: center;}

.justify-content-center {justify-content: center;}

.justify-content-space-between {justify-content: space-between;}

.justify-content-around {justify-content: space-around;}

.gap-2-0 {gap: 2rem 0;}

.gap-1-0 {gap: 1rem 0;}

.gap-1-1 {gap: 1rem 1rem;}

/* Position */
.self-center {align-self: center;}

.my-auto {
  margin-top: auto;
  margin-bottom: auto;
}

.absolute {position: absolute;}

.relative {position: relative;}

.right-1 {right: 1rem;}

.left-0 {left: 0;}

.top-1 {top: 1rem;}

/* Width */
.w-100 {width: 100%;}

.h-100 {height: 100%;}

.mw-5 {max-width: 5rem;}

.mw-7 {max-width: 7rem;}

.mw-38 {max-width: 38rem;}

/* Z-index */
.z-neg-1 {z-index: -1;}

/* Spacing */
.mt-auto {margin-top: auto;}

.mb-auto {margin-bottom: auto;}

.my-1 {
  margin-top: 0.25rem;
  margin-bottom: 0.25rem;
}

.my-3 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.mt-0 {margin-top: 0;}

.ml-0 {margin-left: 0;}

.mb-0 {margin-bottom: 0;}

.mr-0 {margin-right: 0;}

.gap-0 {gap: 0;}

.pb-0 {padding-bottom: 0;}

.pl-0 {padding-left: 0;}

.pr-0 {padding-right: 0;}

.mt-1 {margin-top: 0.25rem;}

.ml-1 {margin-left: 0.25rem;}

.mb-1 {margin-bottom: 0.25rem;}

.mr-1 {margin-right: 0.25rem;}

.gap-1 {gap: 0.25rem;}

.pb-1 {padding-bottom: 0.25rem;}

.pl-1 {padding-left: 0.25rem;}

.pr-1 {padding-right: 0.25rem;}

.mt-2 {margin-top: 0.5rem;}

.ml-2 {margin-left: 0.5rem;}

.mb-2 {margin-bottom: 0.5rem;}

.mr-2 {margin-right: 0.5rem;}

.gap-2 {gap: 0.5rem;}

.pb-2 {padding-bottom: 0.5rem;}

.pl-2 {padding-left: 0.5rem;}

.pr-2 {padding-right: 0.5rem;}

.mt-3 {margin-top: 1rem;}

.ml-3 {margin-left: 1rem;}

.mb-3 {margin-bottom: 1rem;}

.mr-3 {margin-right: 1rem;}

.gap-3 {gap: 1rem;}

.pb-3 {padding-bottom: 1rem;}

.pl-3 {padding-left: 1rem;}

.pr-3 {padding-right: 1rem;}

.mt-4 {margin-top: 1.5rem;}

.ml-4 {margin-left: 1.5rem; }

.mb-4 {margin-bottom: 1.5rem; }

.mr-4 {margin-right: 1.5rem; }

.gap-4 {gap: 1.5rem; }

.pb-4 {padding-bottom: 1.5rem; }

.pl-4 {padding-left: 1.5rem;}

.pr-4 {padding-right: 1.5rem;}

.mt-5 {margin-top: 3rem;}

.ml-5 {margin-left: 3rem;}

.mb-5 {margin-bottom: 3rem;}

.mr-5 {margin-right: 3rem;}

.gap-5 {gap: 3rem;}

.pb-5 {padding-bottom: 3rem;}

.pl-5 {padding-left: 3rem;}

.pr-5 {padding-right: 3rem;}

.mt-6 {margin-top: 5rem;}

.ml-6 {margin-left: 5rem;}

.mb-6 {margin-bottom: 5rem;}

.mr-6 {margin-right: 5rem;}

.gap-6 {gap: 5rem;}

.pb-6 {padding-bottom: 5rem;}

.pl-6 {padding-left: 5rem;}

.pr-6 {padding-right: 5rem;}

.mr-auto {margin-right: auto;}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.mx-1 {
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

.mx-2 {
  margin-left: 0.75rem;
  margin-right: 0.75rem;
}

/* Display */
.none {display: none;}

/* Borders */
.border {border: 1px solid black;}

.bt-1 {border-top: 1px solid #5b5b5b;}

.bb-1 {border-bottom: 1px solid #5b5b5b;}

.border-none {
  border: none;
  --border-width: 0;
}

.border-white {border-color: white;}

.rounded-circle {border-radius: 50%;}

.rounded {border-radius: var(--border-radius);}

/* Padding */
.px-1 {
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.px-2 {
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.px-3 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.px-4 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.p-2 {padding: 0.75rem;}

.p-3 {padding: 1rem;}

.py-1 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.py-2 {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.py-3 {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.w-90 {width: 90%;}

.bg-transparent {background: transparent;}

.bg-dropdown {background: var(--dropdown-background-color);}

.bg-white {background: white;}

.bg-black {background: black;}

.bg-red {background: red;}

.dropdown-border {border: var(--border-width) solid var(--dropdown-border-color);}

.text-sm {font-size: small;}

.text-lg {font-size: large;}

.text-center {text-align: center;}

.wt {color: white;}

.icon {max-width: var(--icon-max-width);}

.icon:hover {
  opacity: 0.8;
  transition: opacity 0.3s;
}

.button {width: fit-content;}

.grid-fixed.grid {grid-template-columns: repeat(auto-fit, minmax(0%, 1fr));}

.d-block {display: block;}

table tr th {
  border-bottom: 1px solid #5b5b5b;
  padding-bottom: 0.75rem;
}

table tr td:first-child,
table tr th:first-child {padding-left: 1rem;}

table tr td:last-child,
table tr th:first-child {padding-left: 1rem;}

.table-dark {background-color: #22282c;}

.yes-circle {
  border-radius: 50%;
  border: solid black 1px;
  padding: 5px;
  background-color: green;
}

.no-circle {
  border-radius: 50%;
  border: solid black 1px;
  padding: 5px;
  background-color: #d9961a;
}

@media screen and (max-width: 576px) {
  table {font-size: 12px;}
  table th {font-size: 12px;}
}

@media screen and (max-width: 992px) {
  :root,
  :root:not([data-theme="light"]) {
    --spacing: 1rem;
    --icon-max-width: 24px;
    --nav-link-spacing-vertical: 0.5rem;
    --form-element-spacing-vertical: 0.5rem;
  }
}



/*
 * Component specifics
 *
 */


.home-search {position: relative;}

.home-search-input:not([type="checkbox"][type="radio"][type="range"][type="file"])[type="search"] {
  background: #fff;
  border-radius: 4px;
  padding-inline-start: var(--form-element-spacing-horizontal);
  background-image: var(--icon-search);
  background-repeat: no-repeat;
  background-position: center right 1.125rem;
  height: 66px;
  color: #292f33;
}

.home-search-results {
  height: 0;
  position: absolute;
  overflow: hidden;
  width: 100%;
  z-index: 10000;
  opacity: 0;
}

.home-search-results:empty {border: none;}

.home-search-results nav ul li {
  padding-left: 1rem;
  padding-right: 1rem;
}

.home-search-results nav ul li:hover {
  cursor: pointer;
  background-color: #292f33;
}

.home-search-openesg-view-btn,
.home-search-editor-view-btn {width: 100%;}

.home-search-loader {
  position: absolute;
  display: none;
  top: 22px;
  right: 50%;
}

.home-search.active .home-search-results {
  height: auto;
  opacity: 1;
}

.home-search.htmx-request .home-search-input:not([type="checkbox"][type="radio"][type="range"][type="file"])[type="search"] {background-image: none;}

.home-search.htmx-request .home-search-loader {
  display: block;
}
